LTTNG-SCHEDSTATS(1)

NAME
lttng-schedstats - LTTng analyses Scheduler statistics

DESCRIPTION
usage: lttng-schedstats [-h] [-r REFRESH] [--gmt] [--skip-validation]

[--begin BEGIN] [--end END] [--period PERIOD]
    [--period-captures PERIOD_CAPTURES] [--period-begin PERIOD_BEGIN] [--period-end PERIOD_END] [--period-begin-key PERIOD_BEGIN_KEY] [--period-end-key PERIOD_END_KEY] [--period-key-value PERIOD_KEY_VALUE] [--cpu CPU] [--timerange TIMERANGE] [--progress-use-size] [--no-intersection] [-V] [--debug] [--no-color] [--no-progress] [--min MIN] [--max MAX] [--procname PROCNAME] [--tid TID] [--freq] [--freq-resolution FREQ_RESOLUTION] [--freq-uniform] [--freq-series] [--limit LIMIT] [--top] [--log] [--stats] [--total] [--per-tid] [--per-prio] <path/to/trace>

The sched command.

  positional arguments:

<path/to/trace>
    trace path

  optional arguments:

-h, --help
    show this help message and exit

-r REFRESH, --refresh REFRESH
    Refresh period, with optional units suffix (default units: s)

--gmt
    Manipulate timestamps based on GMT instead of local time

--skip-validation
    Skip the trace validation

--begin BEGIN
    start time: hh:mm:ss[.nnnnnnnnn]

--end END
    end time: hh:mm:ss[.nnnnnnnnn]

--period PERIOD
    Period definition

--period-captures PERIOD_CAPTURES
    Period captures definition

--period-begin PERIOD_BEGIN
    Analysis period start marker event name

--period-end PERIOD_END
    Analysis period end marker event name (requires --period-begin)

--period-begin-key PERIOD_BEGIN_KEY
    Optional, list of event field names used to match period markers (default: cpu_id)

--period-end-key PERIOD_END_KEY
    Optional, list of event field names used to match period marker. If none specified, use the same --period-begin-key

--period-key-value PERIOD_KEY_VALUE
    Optional, define a fixed key value to which a period must correspond to be considered.

--cpu CPU
    Filter the results only for this list of CPU IDs

--timerange TIMERANGE
    time range: [begin,end]

--progress-use-size
    use trace size to approximate progress

--no-intersection
    disable stream intersection mode

-V, --version
    show program's version number and exit

--debug
    Enable debug mode (or set LTTNG_ANALYSES_DEBUG environment variable)

--no-color
    Disable colored output

--no-progress
    Don't display the progress bar

--min MIN
    Filter out durations shorter than min usec

--max MAX
    Filter out durations longer than max usec

--procname PROCNAME
    Filter the results only for this list of process names

--tid TID
    Filter the results only for this list of TIDs

--freq
    Output the frequency distribution of sched switch latencies

--freq-resolution FREQ_RESOLUTION
    Frequency distribution resolution (default 20)

--freq-uniform
    Use a uniform resolution across distributions

--freq-series
    Consolidate frequency distribution histogram as a single one

--limit LIMIT
    Limit to top X (default = 10)

--top
    Output the top sched switch latencies

--log
    Output the sched switches in chronological order

--stats
    Output sched switch statistics

--total
    Group all results (applies to stats and freq)

--per-tid
    Group results per-TID (applies to stats and freq) (default)

--per-prio
    Group results per-prio (applies to stats and freq)